import React from 'react';
import { BrowserRouter as Router } from 'react-router-dom';
import { ClientContextProvider } from './context';
import ThemeProvider from './context/ThemeProvider';
import { UserStateProvider } from './context/UserContext';
import Routes from './Routes';
import { darkTheme } from './theme';

function App(): React.ReactElement {
  return (
    <ClientContextProvider>
      <UserStateProvider>
        <ThemeProvider theme={darkTheme}>
          <Router>
            <Routes />
          </Router>
        </ThemeProvider>
      </UserStateProvider>
    </ClientContextProvider>
  );
}

export default App;
