import Axios, { AxiosRequestConfig } from 'axios';
import { INews } from '../types/News';

type NewsQuery = () => Promise<INews[]>;

export type NewsClient = {
  news: NewsQuery;
};

const authToken = 'q98g7o6353wl7usv1a36xv6dieso6219';

export function users(config: AxiosRequestConfig): NewsClient {
  const axios = Axios.create({
    ...config,
    baseURL: `${config.baseURL}/api/v1/news`,
  });

  const news: NewsQuery = async (): Promise<INews[]> => {
    const { data: response } = await axios.get<INews[]>('/', {
      headers: { Authorization: `Bearer ${authToken}` },
    });
    return response;
  };

  return {
    news,
  };
}
