import { IconButton, Toolbar } from '@material-ui/core';
import { Menu as MenuIcon, Person } from '@material-ui/icons';
import React from 'react';
import SCHBodyIcon from '../svg/SCHBodyIcon';
import Header, { HeaderProps } from './Header';

export type MobileHeaderProps = HeaderProps & {
  onMenuClick: () => void;
};

const MobileHeader: React.FC<MobileHeaderProps> = ({ onMenuClick }) => {
  return (
    <Header
      customToolbar={
        <Toolbar>
          <IconButton edge="start" color="inherit" aria-label="menu" onClick={onMenuClick}>
            <MenuIcon />
          </IconButton>
          <div style={{ flexGrow: 1 }}>
            <SCHBodyIcon width="64px" height="48px" />
          </div>
          {/* TODO: Profile image if present */}
          <Person />
        </Toolbar>
      }
    />
  );
};

export default MobileHeader;
