import { Box, Grid, makeStyles, Typography } from '@material-ui/core';
import React from 'react';

interface NewsProps {
  title: string;
  content: string;
  author: string;
  createDate: string;
}

const useStyles = makeStyles((theme) => ({
  container: {
    color: 'white',
    backgroundColor: theme.palette.background.paper,
    padding: theme.spacing(2),
  },
}));

const News: React.FC<NewsProps> = ({ title, content, createDate }) => {
  const classes = useStyles();
  return (
    <Grid className={classes.container} container direction="column">
      <Grid item>
        <Typography variant="subtitle2" color="secondary">
          {createDate}
        </Typography>
      </Grid>
      <Grid item>
        <Box marginY={2}>
          <Typography variant="h4">{title}</Typography>
        </Box>
      </Grid>
      <Grid item>
        <Typography variant="body1">{content}</Typography>
      </Grid>
    </Grid>
  );
};

export default News;
